From 366ef8b486c0c433355fc5d5da240e1066f65096 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 26 2020 22:15:59 +0000
Subject: [PATCH 15/2232] Print error cause chain on failures in build.rs


---

diff --git a/src/lib.rs b/src/lib.rs
index 509cfa6..3267b3f 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -370,6 +370,7 @@ pub mod private {
 }
 
 use crate::error::Result;
+use anyhow::anyhow;
 use std::fs;
 use std::io::{self, Write};
 use std::path::Path;
@@ -442,7 +443,7 @@ impl Build {
         match try_generate_bridge(rust_source_file.as_ref()) {
             Ok(build) => build,
             Err(err) => {
-                let _ = writeln!(io::stderr(), "\n\ncxxbridge error: {}\n\n", err);
+                let _ = writeln!(io::stderr(), "\n\ncxxbridge error: {:?}\n\n", anyhow!(err));
                 process::exit(1);
             }
         }

